> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a view by ID



## OpenAPI

````yaml get /agent-views/{viewId}
openapi: 3.0.0
info:
  title: Public API
  description: Public endpoints to interact with agents and orchestrate tasks
  version: '1.0'
  contact: {}
servers:
  - url: https://api.beamstudio.ai
security: []
tags: []
paths:
  /agent-views/{viewId}:
    get:
      tags:
        - Agent Views
      summary: Get a view by ID
      operationId: AgentViewController_getView
      parameters:
        - name: viewId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ViewResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    ViewResponseDto:
      type: object
      properties:
        id:
          type: string
        agentId:
          type: string
        agent:
          $ref: '#/components/schemas/AgentInfoDto'
        name:
          type: string
        description:
          type: string
        isActive:
          type: boolean
        columns:
          type: array
          items:
            $ref: '#/components/schemas/ColumnResponseDto'
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - agentId
        - name
        - isActive
        - createdAt
        - updatedAt
    AgentInfoDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        iconUrl:
          type: string
      required:
        - id
        - name
    ColumnResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        dataType:
          enum:
            - string
            - text
            - number
            - decimal
            - boolean
            - date
            - datetime
            - enum
            - multi_enum
            - object
            - array
            - url
            - email
            - link
            - LinkToAnotherRecord
          type: string
        agentGraphNodeId:
          type: string
        paramType:
          enum:
            - input
            - output
          type: string
        paramName:
          type: string
        position:
          type: number
        linkedAgentViewId:
          type: string
        linkedView:
          $ref: '#/components/schemas/LinkedViewInfoDto'
        linkType:
          type: string
        linkMatchSourceColumn:
          $ref: '#/components/schemas/LinkedColumnInfoDto'
        linkMatchTargetColumn:
          $ref: '#/components/schemas/LinkedColumnInfoDto'
        reverseColumnId:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - name
        - dataType
        - agentGraphNodeId
        - paramType
        - paramName
        - position
        - createdAt
        - updatedAt
    LinkedViewInfoDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    LinkedColumnInfoDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        paramType:
          enum:
            - input
            - output
          type: string
      required:
        - id
        - name
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````